######################################################################
# in the example replace vtkCSCSIntegrateVariables with the name of your module
# vtkCSCSIntegrateVariables_SOURCE_DIR will already be set by ParaView
######################################################################


# Define the source files that should be built
SET (CSCSIntegrateVariables_SRCS 
#  ${vtkCSCSIntegrateVariables_SOURCE_DIR}/vtkIntegrateVariables.cxx
)

# Define sources that should be built and wrapped in the client server
SET (CSCSIntegrateVariables_WRAPPED_SRCS
  ${vtkCSCSIntegrateVariables_SOURCE_DIR}/vtkIntegrateVariables.cxx
)

# Add in any library directories for libraries that vtkCSCSIntegrateVariables requires
#PARAVIEW_EXTRA_LINK_DIRECTORIES("${SOME_OTHER_LIBRARY_DIRS}")

# set any include directories this module needs
INCLUDE_DIRECTORIES(
  ${vtkCSCSIntegrateVariables_SOURCE_DIR}
  ${vtkCSCSIntegrateVariables_SOURCE_DIR}/..
)

# invoke this macro to add link libraries to PV
PARAVIEW_LINK_LIBRARIES("${vtkCSCSIntegrateVariables_LIBS}")

# invoke this macro to add the sources to paraview and wrap them for the
# client server 
PARAVIEW_INCLUDE_WRAPPED_SOURCES("${CSCSIntegrateVariables_WRAPPED_SRCS}")

# invoke this macro to add the sources to the build (but not wrap them into
# the client server
#PARAVIEW_INCLUDE_SOURCES("${CSCSIntegrateVariables_SRCS}")

# invoke this macro to add sources into the client and also wrap them into Tcl
#PARAVIEW_INCLUDE_CLIENT_SOURCES("${vtkCSCSIntegrateVariables_GUI_SRCS}")

PARAVIEW_INCLUDE_GUI_RESOURCES("${vtkCSCSIntegrateVariables_SOURCE_DIR}/vtkCSCSIntegrateVariables_client.xml")
PARAVIEW_INCLUDE_SERVERMANAGER_RESOURCES("${vtkCSCSIntegrateVariables_SOURCE_DIR}/vtkCSCSIntegrateVariables_server.xml")
